Package org.apache.tools.ant.taskdefs.condition

## Class CanCreateSymbolicLink

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.taskdefs.condition.CanCreateSymbolicLink

- All Implemented Interfaces:
    `java.lang.Cloneable`, `Condition`

      public class CanCreateSymbolicLink
      extends ProjectComponent
      implements Condition

  Tests whether the current process can create a symbolic link.

  Actually tries to create a temporary symbolic link so is completely independent of the current platform.

  Since:
    Ant 1.10.16

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CanCreateSymbolicLink()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `eval()` | Is this condition true?

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CanCreateSymbolicLink

          public CanCreateSymbolicLink()

  - ### Method Detail

    - #### eval

          public boolean eval()

      Description copied from interface: `Condition`
      Is this condition true?
      Specified by:
        `eval` in interface `Condition`
      Returns:
        true if the condition is true